All of the Fusion services are available for scheduling, as are any Solr activities and any other HTTP-based URI.See Jobs and Schedules for more information about all of the options available for scheduling, and instructions for configuring scheduler jobs using the Fusion UI.
The ID of the schedule. This is required when creating a schedule with a POST request.
creatorType Optional
The type of user that created the schedule. If you have resources creating schedules programmatically, you could define a type that helps distinguish those schedules from others created by people.
creatorId Optional
An ID for the user that created the schedule.
startTime Optional
A time when the schedule should be started. If this is not set, it will be set to the date/time when the schedule was created.
endTime Optional
A time when the schedule should be terminated, i.e., when it will not run any more in the future. If not set, the schedule will run until it is disabled (i.e., “active” is set to false) or deleted.
repeatUnit Optional
A unit of time that when combined with the interval property defines how often the schedule will run. Allowed values are: • “millisecond” or “ms” • “second” or “sec” • “minute” or “min” • “hour” or “hr” • “day” • “week” • “month” These time units are not case sensitive.
interval Optional
An integer that when combined with the repeatUnit property defines how often the schedule will run. If this is not set, or set to a number lower than ‘1’ (i.e., ‘0’), the schedule will only be run once.
active Optional
If true, the schedule will be executed according to the defined interval. If false, the schedule will be disabled and will not run at the defined time.
callParams Required
The callParams define the API call to execute at the defined time intervals. It allows several properties: • uri. A fully-qualified service URI. This can be an HTTP call, a Solr request, or a Fusion service call. Supported URI schemas are: • http:// or https:// • solr://\{collection\}/… A SolrCloud request. • service://\{serviceName\}/\{path\} A load-balanced Fusion service request.
• method. The method to use, as in GET, POST, PUT, or DELETE. • queryParams. Query parameters to be passed with the request. For Solr calls, this could be parameters such as “q”, “fq”, “commit”, etc. • headers. Any additional protocol headers, such as “Content-type”. • entity. An optional payload to be sent with the request.